UpsertPaymentMethod
PUT
/billing/v1/payment-methodsRequest Body
requiredapplication/json{
"$ref": "#/components/schemas/billing.v1.UpsertPaymentMethodRequest",
"$ref-value": {
"type": "object",
"properties": {
"org_id": {
"type": "string",
"examples": [
"OR98234j23"
],
"title": "org_id"
},
"payment_method_id": {
"type": "string",
"examples": [
"XyZ9aB8cD1"
],
"title": "payment_method_id"
},
"set_as_default": {
"type": "boolean",
"title": "set_as_default"
}
},
"title": "UpsertPaymentMethodRequest",
"additionalProperties": false
}
}Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/billing.v1.PaymentMethodDetails",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"examples": [
"XyZ9aB8cD1"
],
"title": "id"
},
"type": {
"type": "string",
"title": "type"
},
"brand": {
"type": "string",
"title": "brand"
},
"last4": {
"type": "string",
"title": "last4"
},
"exp_month": {
"type": "string",
"title": "exp_month",
"format": "int64"
},
"exp_year": {
"type": "string",
"title": "exp_year",
"format": "int64"
},
"is_default": {
"type": "boolean",
"title": "is_default"
}
},
"title": "PaymentMethodDetails",
"additionalProperties": false
}
}curl -X PUT "https://api.rixl.com/billing/v1/payment-methods" \
-H "Content-Type: application/json" \
-d '{}'Success
application/json
{
"$ref": "#/components/schemas/billing.v1.PaymentMethodDetails",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"examples": [
"XyZ9aB8cD1"
],
"title": "id"
},
"type": {
"type": "string",
"title": "type"
},
"brand": {
"type": "string",
"title": "brand"
},
"last4": {
"type": "string",
"title": "last4"
},
"exp_month": {
"type": "string",
"title": "exp_month",
"format": "int64"
},
"exp_year": {
"type": "string",
"title": "exp_year",
"format": "int64"
},
"is_default": {
"type": "boolean",
"title": "is_default"
}
},
"title": "PaymentMethodDetails",
"additionalProperties": false
}
}